(use-translation _ "alterator-network")

(include-as-is "/dialog/functions")

caption (_ "Network module error")
margin 2
spacing 2

(define error-reason (or (global 'reason) "no reason was passed to me"))

(vbox spacing 2 margin 2
      (label (cond
	       ((string=? error-reason "wrong address") (_ "Wrong IP address format"))
	       ((string=? error-reason "wrong name format") (_ "Wrong hostname or domainname format"))
	       (else (string-append (_ "Unknown reason:") error-reason)))
	     font bold-font)
      (label (_ "Press Forward please, and try again")
	     font bold-font))

(button (_translation_ "OK")
        (on-click (end-dialog #f)))

