(use-translation _ "alterator-network")

caption (_ "Network administration")

width 80
height 80

spacing 2
margin 2

(include-as-is "/dialog/frame")

(label (_ "Network administration"))

(id 'page
    (tabbox
      (on-dbus
	(net-general-frame 'call on-dbus
		      sender destination interface dmember args))
      (on-apply
	((page current) 'call on-apply))
      (relative-width 80)
      (relative-height 70)
      (tab 'net-ifaces (_ "Network interfaces")
           (goto-frame
	   	(vbox (load-url '/net/ifaces_std))))
      (tab 'net-general (_ "General network options")
      	   (on-apply (net-general-frame 'call on-apply))
	   (goto-frame
	   	(id 'net-general-frame (vbox (load-url '/net/general_std)))))
      (current net-general)))

(dlg-frame-make-buttons)

